﻿namespace TestProject
{
    /// <summary>
    /// 매트릭스
    /// </summary>
    public static class Matrix
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Public

        #region Sobel 3X3 Horizontal - Sobel3X3Horizontal

        /// <summary>
        /// Sobel 3X3 Horizontal
        /// </summary>
        public static double[,] Sobel3X3Horizontal
        {
            get
            {
                return new double[,]
                {
                    { -1,  0,  1 },
                    { -2,  0,  2 },
                    { -1,  0,  1 }
                };
            }
        }

        #endregion
        #region Sobel 3X3 Vertical - Sobel3X3Vertical

        /// <summary>
        /// Sobel 3X3 Vertical
        /// </summary>
        public static double[,] Sobel3X3Vertical
        {
            get
            {
                return new double[,]
                {
                    {  1,  2,  1 },
                    {  0,  0,  0 },
                    { -1, -2, -1 }
                };
            }
        }

        #endregion
    }
}